#! /usr/bin/env bash

if [ $# -lt 1 ]; then
	echo "gitlab-runner.sh CONFIG"
	echo "  where CONFIG is a /etc/gitlab-runner/config.toml file"
	exit 1
fi

if [ ! -f "$1" ]; then
	echo "WRONG CONFIG FILE: "$1""
	exit 1
fi

mkvm.sh -k --copy "$1" /etc/gitlab-runner.toml --copy /usr/sbin/gitlab-runner-helper.sh /usr/sbin/gitlab-runner-helper.sh gitlab-runner /usr/sbin/gitlab-runner-helper.sh 
